Subject: [http-auth] Fwd: [Request for considerations] promote draft-oiwa-httpauth-mutual-algo to WG document

From: Yutaka OIWA <[email-masked]>
Date: Wed, 25 Jun 2014 08:25:18 +0900

Dear Matthew,

Thank you again for working on the issue tracker!
If possible, could I ask you one more thing: to
register this to http-auth issue tracker as an open issue?

We need to resolve this (either in our proposed way, or
in some alternative way if declined) to make our drafts
"complete" for implementation).

---------- Forwarded message ----------
From: Yutaka OIWA <[email-masked]>
Date: 2014-03-05 23:48 GMT+09:00
Subject: [Request for considerations] promote
draft-oiwa-httpauth-mutual-algo to WG document
To: "[email-masked]" <[email-masked]>

Dear all,

Having had a short talk with WG Chairs on Monday,
I'd like to request a companion draft for my Mutual auth proposal
<http://tools.ietf.org/html/draft-oiwa-httpauth-mutual-algo-01>
to be promoted for WG document.

To implement my proposal, the content of this companion document
(or something equivalent) is necessary.
I have been considered between two options for handling of
this document: to merge it with the main draft, or to keep it separate.
What I'm requesting now is the latter way.

The pros of keeping document separate is having a good
cryptography agility.  It can handle all possible
cryptographic primitives in the class of "augmented PAKEs" as
equally, and may promote a good competitions between
such cryptographic primitives as TLS did for symmetric ciphers.
The cons for doing that is that the total length of the documents
will become slightly longer, and the understanding of the main draft
slightly harder.

The pros and cons of merging the two documents will be the opposite:
it makes the total documents smaller, but it may gives a
unintended feeling of that other augmented PAKE algorithms
are very optional and non-default in future.

If you have some opinions for/against my preference,
please let us know for considerations.
If many of you think that merging is better, I will consider it seriously.
Chairs, please let me know anything we should do, further
than sending this mail for the mailing list at this moment.

--
Yutaka OIWA, Ph.D.                 Leader, System Life-cycle Research Group
                               Research Institute for Secure Systems (RISEC)
     National Institute of Advanced Industrial Science and Technology (AIST)
                       Mail addresses: <[email-masked]>, <[email-masked]>
OpenPGP: id[440546B5] fp[7C9F 723A 7559 3246 229D  3139 8677 9BD2 4405 46B5]

-- 
Yutaka OIWA, Ph.D.                 Leader, System Life-cycle Research Group
                               Research Institute for Secure Systems (RISEC)
     National Institute of Advanced Industrial Science and Technology (AIST)
                       Mail addresses: <[email-masked]>, <[email-masked]>
OpenPGP: id[440546B5] fp[7C9F 723A 7559 3246 229D  3139 8677 9BD2 4405 46B5]